<?php
/*
Plugin Name: Go Green Tips
Plugin URI: http://www.iwasinturkey.com/blog/green-living-tips
Description: Displays green tips for Green Living
Author: Onur Kocatas
Version: 1.1.9.7
Author URI: http://www.iwasinturkey.com/blog/green-living-tips
*/

/* Add our function to the widgets_init hook. */
add_action( 'widgets_init', 'go_green_tips_load_widgets' );

/* Function that registers our widget. */
function go_green_tips_load_widgets() {
	register_widget( 'Go_Green_Tips_Widget' );
}

class Go_Green_Tips_Widget extends WP_Widget {
function Go_Green_Tips_Widget() {

/* Widget settings. */
$widget_ops = array( 'classname' => 'Go_Green_Tips', 'description' => 'Displays green tips for Green Living.' );

/* Widget control settings. */
$control_ops = array( 'width' => 200,  'id_base' => 'go-green-tips-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'go-green-tips-widget', 'Go Green Tips', $widget_ops, $control_ops );
	}
	
	
	function widget( $args, $instance ) {
		extract( $args );

/* User-selected settings. */
$title = apply_filters('widget_title', $instance['title'] );


/* Before widget (defined by themes). */
		echo $before_widget;

/* Title of widget (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

// Go Green Tips
$gogreen = '<div class="go_green_tips"><strong>Change to Fluorescent Bulbs</strong><br/>If every house in the United States changed all of the light bulbs in their house, that would be equivalent to taking one million cars off the streets.</div>
<div class="go_green_tips"><strong>Don\'t Rinse</strong><br/>Skip rinsing your plates before putting them into the dishwasher. In average you will save 15 gallons of water per load. Plus, you will save time.</div>
<div class="go_green_tips"><strong>Hang Outside to Dry</strong><br/>Get a cloths line or rack to dry your cloths. Your cloths will last longer and you will save money</div>
<div class="go_green_tips"><strong>Turn off computers at night</strong><br/>don\'t just put them to sleep. You will save an average of 4 cents a day which ads up to $14.60 a year.</div>
<div class="go_green_tips"><strong>Use Both Sides of Paper</strong><br/>if you have a printer with a double sided print option use it. You will save half of the amount of paper you would have normally used.</div>
<div class="go_green_tips"><strong>Get rid of baths</strong><br/>Don\'t take baths, take showers. You will in average save about half the amount of water that you would if you were taking a bath.</div>
<div class="go_green_tips"><strong>Don\'t get bottled water</strong><br/>Instead of bottled water get a reusable container to carry water. Also you can get a filter to make your home tap taste more like bottled water. It is definitely more cost efficient.</div>
<div class="go_green_tips"><strong>Turn the water off when you brush</strong><br/>Your parents have said this before, now I say it. You will save 4 gallons of water doing this alone.</div>
<div class="go_green_tips"><strong>Shorten your shower</strong><br/>Every minute you cut from your shower is roughly 5 gallons of water. The less time your shower takes, the lower your impact on the environment.</div>
<div class="go_green_tips"><strong>Recycle Glass</strong><br/>If you do not recycle this, it will take a million years to decompose.</div>
<div class="go_green_tips"><strong>Don\'t Pre-Heat the Oven</strong><br/>unless needed, just turn the oven on after you put the dish in it. Also, to see if it\'s finished just look through the glass instead of opening it.</div>
<div class="go_green_tips"><strong>Use Warm or Cold Setting on Washer</strong><br/>instead of the hot cycle use the warm or cold setting. This will save a lot of energy a year.</div>
<div class="go_green_tips"><strong>Turn Down your Thermostat</strong><br/>Every degree lower in the winter or higher in the summer you put it is a 10% decrease on your energy bill.</div>
<div class="go_green_tips"><strong>Turn off your lights</strong><br/>An easy one. Turn off your lights when you are not using them. The benefits are obvious.</div>
<div class="go_green_tips"><strong>Get rid of junk mail</strong><br/>There are many services that can help you get rid of junk mail. That will lead to a lot less trees being cut down to take up room in your mailbox.</div>
<div class="go_green_tips"><strong>Use Matches instead of lighters</strong><br/>Lighters are usually considered disposable so they will most likely end up in land fills. You can use the cardboard matches which are much more eco-friendly because they are made of recycled material.</div>
<div class="go_green_tips"><strong>Don\'t get a paper phone book</strong><br/>Instead of getting a paper phone book. Use a online directory instead.</div>
<div class="go_green_tips"><strong>Give things away</strong><br/>Take things that you are not going to wear or use and give it to a charity or someone who will use it.</div>
<div class="go_green_tips"><strong>Go to a car wash</strong><br/>Going to a car wash is a lot more water efficient then washing your car at home.</div>
<div class="go_green_tips"><strong>Stop paper bank statements</strong><br/>Why waste paper getting your bank statement mailed to you when you can just check it out online.</div>
<div class="go_green_tips"><strong>Buy Rechargeable Batteries</strong><br/>Even though it will take a good investment to buy these you will find yourself gaining it back in no time.</div>
<div class="go_green_tips"><strong>Pay your Bills Online</strong><br/>If every house in the US did this then we would save 18 million trees every year.</div>
<div class="go_green_tips"><strong>Get a reusable bag</strong><br/>You can\'t recycle plastic bags, instead get yourself a reusable bag so that you won\'t have to worry about carrying your necessities.</div>
<div class="go_green_tips"><strong>Do Errands in Bulk</strong><br/>Make a list of the things you have to do, and see if you can fit a couple of those things together in one ride.</div>
<div class="go_green_tips"><strong>Inflate your Tires</strong><br/>If your tires are inflated at all times your car will run more miles on less gas.</div>
<div class="go_green_tips"><strong>Wrap Presents Creatively</strong><br/>Without going out to get wrapping paper you can use newspaper, an old map, or anything else. It would look a whole lot more creative.</div>
<div class="go_green_tips"><strong>Plant a Tree</strong><br/>It\'s good for the air, can keep you cool, and can increase your property value.</div>
<div class="go_green_tips"><strong>Buy Local Produce</strong><br/>Consider how much energy it takes for produce from china or any other country to come here. If you have the option to buy local, do it.</div>
<div class="go_green_tips"><strong>Walk or Ride Your Bike When you can</strong><br/>If you have to go somewhere close consider riding your bike or walking there instead of your car. It\'s better on the environment and healthier.</div>';

// one line at a time
$gogreen = explode("\n", $gogreen);

// And then randomly choose a word
$chosen = wptexturize( $gogreen[ mt_rand(0, count($gogreen) - 1) ] );

//echo the chosen line
echo  '<style type="text/css">
#GGT {background-color:#009933;padding:5px;font-family:Georgia,Times,"Times New Roman",serif;font-size:13px;}
#GGT div.go_green_tips{background-color:#FFFFFF;padding:3px;}
div#GGT div.gotogreen a{color:#FFFFFF;font-weight:bold;}
div#GGT div.gotogreen {padding:5px;text-align:center;text-align:center;}




</style>' ;
	echo '<div id="GGT">' .$chosen. '<div class="gotogreen"><a href="http://www.iwasinturkey.com/blog/green-living-tips">Go Green Tips</a></div></div>';

/* After widget*/
		echo $after_widget;
	}
	
	
/* Update the widget settings.*/
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

/* Strip tags */
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}
	function form( $instance ) {

/* Set up default tile*/
		$defaults = array( 'title' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
</p>
<?php
	}
}
?>